/*
 * Class RT_DBG_ATTRIBUTE_RECORD [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2074 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2074 [] = {0xFF01,1551,2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2074 [] = {0xFF01,2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2074 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2074 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2074 [] = {0xFF01,2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2074 [] = {0xFF01,2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2074 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2074 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2074 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2074 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2074 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2074 [] = {2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2074 [] = {0xFF01,2073,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2074 [] = {0xFF01,1567,0xFF01,1324,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2074 [] = {1567,0xFF01,1324,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2074 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2074 [] = {0xFF01,560,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2074 [] = {0xFFF9,2,840,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2074 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2074 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2074 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2074 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2074 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2074 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2074 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2074[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2074), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2074), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2074), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2074), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2074), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2074), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2074), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2074), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2074), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2074), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2074), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2074), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2074), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2074), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9867, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2074), 6619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2074), 28921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 28924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 28925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 28926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A59 /*1324*/), 28929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A59 /*1324*/), 28930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A59 /*1324*/), 28931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 28891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 28894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28906, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28914, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28915, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28916, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28917, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2074), 28918, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2074), 28919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29039, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29040, 20},
	{EIF_GENERIC(egt_18_2074), 29041, 0},
	{EIF_NON_GENERIC(0x0A59 /*1324*/), 29289, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 29290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 29292, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2074), 29294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29296, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29285, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2074), 29286, 4},
	{EIF_GENERIC(egt_21_2074), 29287, 8},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 29288, 12},
	{EIF_GENERIC(NULL), 29298, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2074), 29299, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2074), 29300, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2074), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2074), 29293, 0xFFFFFFFF},
};
void Init2074(void)
{
	IDSC(desc_2074, 0, 2073);
	IDSC(desc_2074 + 1, 1, 2073);
	IDSC(desc_2074 + 32, 1185, 2073);
	IDSC(desc_2074 + 34, 1232, 2073);
	IDSC(desc_2074 + 59, 1251, 2073);
	IDSC(desc_2074 + 60, 1573, 2073);
	IDSC(desc_2074 + 103, 521, 2073);
	IDSC(desc_2074 + 115, 826, 2073);
	IDSC(desc_2074 + 123, 224, 2073);
}


#ifdef __cplusplus
}
#endif
